/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workpartetag.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workpartetag.entity.WorkPartEtag;
import com.jeeplus.modules.workpartetag.dao.WorkPartEtagDao;

/**
 * 断点续传Service
 * @author 杨帆
 * @version 2017-12-18
 */
@Service
@Transactional(readOnly = true)
public class WorkPartEtagService extends CrudService<WorkPartEtagDao, WorkPartEtag> {

	public WorkPartEtag get(String id) {
		return super.get(id);
	}
	public WorkPartEtag getByuploadId(WorkPartEtag workPartEtag) {
		return dao.getByuploadId(workPartEtag);
	}
	
	public List<WorkPartEtag> findList(WorkPartEtag workPartEtag) {
		return super.findList(workPartEtag);
	}
	
	public Page<WorkPartEtag> findPage(Page<WorkPartEtag> page, WorkPartEtag workPartEtag) {
		return super.findPage(page, workPartEtag);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkPartEtag workPartEtag) {
		super.save(workPartEtag);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkPartEtag workPartEtag) {
		super.delete(workPartEtag);
	}
	
	
	
	
}